<app-loading *ngIf="isLoading"></app-loading>
<div #scoll (scroll)="onScroll($event)" [ngStyle]="{height: 'calc(100vh - 192px)', overflow: 'auto'}">
  <div class="content-header">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" mbButtonText="{{'common.button.saveS' | translate}}" [mbIsDisable]="isLoading" *ngIf="objFunction?.create"
               mbButtonAvailableStyle="PRIMARY" (click)="assignPosition()">
    </mb-button>
  </div>

  <div class="org-content-main">
    <div nz-row [nzGutter]="24">
      <div nz-col [nzSpan]="6">
        <mb-input-text [ngModel]="groupType" mbType="default" [mbMaxLength]="150" [defaultInput]="true" [mbReadOnly]="true"
                       [mbDisable]="true"
                       mbPlaceholderText="{{ 'modelOrganization.placeHoder.chooseUnit' | translate }}"
                       mbLabelText="{{ 'modelOrganization.label.typePgr' | translate }}"></mb-input-text>
      </div>
      <div nz-col [nzSpan]="6">
        <mb-select [mbDataSelects]="listGroup" mbKeyLabel="name" mbKeyValue="id" [mbShowClear]="false"
                   mbLabelText="{{ 'modelOrganization.label.namePgr' | translate }}"
                   mbPlaceholder="{{'modelOrganization.placeHoder.choosePgrName' | translate}}"
                   [mbOptionHeightPx]="55" [(ngModel)]="pgrId">
        </mb-select>
      </div>
    </div>
  </div>

  <div class="mb-tab">
    <nz-tabset nzType="editable-card" nzHideAdd (nzSelectedIndexChange)="changeTab($event)" [nzTabBarGutter]="0" [nzSelectedIndex]="selectTab">
      <nz-tab nzTitle="HO">
        <div class="ant-table-content">
          <nz-table #basicTable1 [nzData]="dataTableGroup.length ? dataTableGroup : []" [nzShowPagination]="false" nzTableLayout="fixed"
                    nzSize="small">
            <thead>
            <tr>
              <th scope="col">{{'modelOrganization.table.unit' | translate}}</th>
              <th scope="col">{{'modelOrganization.table.job' | translate}}</th>
              <th scope="col" nzRight nzWidth="50px" *ngIf="posDetail?.type === 'UNASSIGN'"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let data of dataTableGroup,  let i = index; trackBy:trackByFn">
              <td>
                <mb-input-text [mbMaxLength]="255" [(ngModel)]="data.orgName" [mbLabelText]="null" [mbReadOnly]="true"
                               [nzDisabled]="posDetail?.type === 'ASSIGN'"
                               [mbConfig]="{labelText:null, groupType:'icon', suffixIcon:'down'}" ngDefaultControl
                               mbPlaceholderText="{{'modelOrganization.placeHoder.chooseUnit' | translate}}"
                               [nzTrigger]="'click'" (ngModelChange)="changePopup($event)" [nzClickHide]="false"
                               nz-dropdown [nzDropdownMenu]="menuCriteria" nzOverlayClassName="dropdown-unit"
                               [(nzVisible)]="data.isVisible"></mb-input-text>
              </td>
              <td>
                <app-job-select class="job-select" [list-input]="data.listAllJob" [height]="'44px'"
                                [showCheckAll]="true"
                                [disable]="posDetail?.type === 'ASSIGN'"
                                [fontSize]="'14px'" [list-select]="data.listSelectJob" [key]="'jobId'" [showCreate]="false"
                                [error]="data?.listSelectJob?.length === 0 && submited" [errorMessage]="'modelOrganization.validate.selectJob' | translate"
                                [value]="'jobName'">
                </app-job-select>
              </td>
              <td nzRight *ngIf="posDetail?.type === 'UNASSIGN'">
                <div class="action">
                  <a *ngIf="dataTableGroup.length > 1" (click)="deleteOrg(i)"><img
                    src="assets/images/icon/delete_outline.svg" alt=""></a>
                </div>
              </td>
            </tr>
            </tbody>
          </nz-table>
        </div>
      </nz-tab>
      <nz-tab nzTitle="Chi nhánh">
        <nz-table #basicTable2 [nzData]="['']" [nzShowPagination]="false" nzTableLayout="fixed" nzSize="small">
          <thead>
          <tr>
            <th scope="col">
              <div class="table__colum--title">
                {{'modelOrganization.table.job' | translate}}
              </div>
            </th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let data of basicTable2.data,  let i = index">
            <td>
              <app-job-select class="job-select" [list-input]="listJobCn" [list-select]="listJobCnSelect"
                              [showCheckAll]="true"
                              [disable]="posDetail?.type === 'ASSIGN'"
                              [value]="'jobName'" [fontSize]="'14px'" [key]="'jobId'" [height]="'44px'" [showCreate]="false">
              </app-job-select>
            </td>
          </tr>
          </tbody>
        </nz-table>
      </nz-tab>
    </nz-tabset>
  </div>

  <ng-container>
    <nz-dropdown-menu #menuCriteria="nzDropdownMenu">
      <div class="org-select">
        <div class="org-select__title">
          <span> {{'modelOrganization.label.chooseUnit' | translate}}</span>
        </div>
        <div class="org-select__input">
          <mb-input-text [mbMaxLength]="255" [mbLabelText]="null" [removeMinHeight]="true"
                         [(ngModel)]="dataSearch" (mbChange)="changeValue($event)"
                         mbPlaceholderText="{{'modelOrganization.placeHoder.typing' | translate}}">
          </mb-input-text>
        </div>
        <div class="org-select__title--switch">
          <nz-switch nzSize="small" [(ngModel)]="selectAll" (ngModelChange)="change($event)"></nz-switch>
          <span>{{'modelOrganization.label.chooseAll' | translate}}</span>
        </div>
        <div class="org-select__list">
          <ul nz-menu *ngFor="let item of orgListFilter; trackBy:trackByFn">
            <li nz-menu-item nz-checkbox [ngModel]="mapOrgSelect.has(item.orgId)"
                (ngModelChange)="onSelect(item)" class="org-select__list--line">
              {{item.pathName}}</li>
          </ul>
          <nz-empty nzNotFoundImage="simple" *ngIf="orgListFilter.length === 0"></nz-empty>
        </div>
        <div class="org-select__footer">
          <button class="org-select__footer--button" (click)="selectOrg()">{{'modelOrganization.button.chooseUnit' | translate}}</button>
        </div>
      </div>
    </nz-dropdown-menu>
  </ng-container>
</div>
